package cn.estsh.i3plus.core.apiservice.controller.busi;

import cn.estsh.i3plus.platform.common.tool.TimeTool;
import cn.estsh.i3plus.pojo.base.codemaker.SnowflakeIdMaker;
import cn.estsh.i3plus.pojo.platform.bean.SysTool;
import org.apache.commons.lang3.RandomStringUtils;

import java.io.BufferedWriter;
import java.io.File;
import java.io.FileWriter;
import java.io.IOException;

/**
 * @Description : 性能测试
 * @Reference :
 * @Author : yunhao
 * @CreateDate : 2019-02-19 11:41
 * @Modify:
 **/
public class Text {
    public static final String TEXT = "党的十八大提出，倡导富强、民主、文明、和谐，倡导自由、平等、公正、法治，倡导爱国、敬业、诚信、友善，积极培育和践行社会主义核心价值观。富强、民主、文明、和谐是国家层面的价值目标，自由、平等、公正、法治是社会层面的价值取向，爱国、敬业、诚信、友善是公民个人层面的价值准则，这24个字是社会主义核心价值观的基本内容。";

    public static void printUsage(String path, int num, int index) throws IOException {

        File dir = new File(path+File.separator+"tool"+File.separator+"temp" + (index / 10));
        if (!dir.exists()) {
            System.out.println(dir.mkdirs());
        }
        File f = new File(path+File.separator+"tool"+File.separator+"temp" + (index / 10) + File.separator+"insert" + index + ".sql");
        FileWriter fw = new FileWriter(f);
        BufferedWriter out = new BufferedWriter(fw);
        try {

            SysTool sysTool;
            StringBuffer sb;
            SnowflakeIdMaker snf = new SnowflakeIdMaker();
            for (int i = 0; i < num; i++) {
                sb = new StringBuffer();
                sb.append("insert into sys_tool (id,name,tool_type_name_rdd,tool_type_id,tool_ip,tool_port,tool_description) values ");
                sysTool = new SysTool();
                sysTool.setId(snf.nextId() + System.currentTimeMillis());
                sysTool.setName(RandomStringUtils.random(10, TEXT));
                sysTool.setToolTypeNameRdd(RandomStringUtils.random(10, TEXT));
                sysTool.setToolTypeId(System.currentTimeMillis());
                sysTool.setToolIp(RandomStringUtils.random(10, TEXT));
                sysTool.setToolPort((int) (Math.random() * i));
                sysTool.setToolDescription(RandomStringUtils.random(10, TEXT));
                sysTool.setCreateDatetime(TimeTool.getNowTime(true));
                sysTool.setModifyDatetime(TimeTool.getNowTime(true));

                sb.append("(" + sysTool.getId() + ",'" + sysTool.getName() + "','" + sysTool.getToolTypeNameRdd() + "'," + sysTool.getToolTypeId() + ",'"
                        + sysTool.getToolIp() + "'," + sysTool.getToolPort() + ",'" + sysTool.getToolDescription() + "');");
                out.write(sb.toString());
            }

        } finally {
            out.close();
        }
    }

}
